
From: Dipankar Sarma <dipankar@in.ibm.com>

Fix memory leak in emu10k1_audio_open.



 25-akpm/sound/oss/emu10k1/audio.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN sound/oss/emu10k1/audio.c~ds-11-emu10k1-memleak-fix sound/oss/emu10k1/audio.c
--- 25/sound/oss/emu10k1/audio.c~ds-11-emu10k1-memleak-fix	Tue Jun 10 14:55:25 2003
+++ 25-akpm/sound/oss/emu10k1/audio.c	Tue Jun 10 14:55:25 2003
@@ -1187,7 +1187,8 @@ match:
 
 		if ((woinst = (struct woinst *) kmalloc(sizeof(struct woinst), GFP_KERNEL)) == NULL) {
 			ERROR();
-			return -ENODEV;
+			kfree(wave_dev);
+			return -ENOMEM;
 		}
 
 		if (wave_dev->wiinst != NULL) {

_
